Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw
Class NonexistentTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.ogcbase.OGCException
                  org.deegree.ogcwebservices.OGCWebServiceException
                      org.deegree.ogcwebservices.csw.NonexistentTypeException

All Implemented Interfaces:
  Serializable

    public class NonexistentTypeException

extends OGCWebServiceException

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Torsten Friebe , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCException
`code`

Constructor Summary
`NonexistentTypeException(String message)`
`NonexistentTypeException(String locator, String message)`
`NonexistentTypeException(String locator, String message, ExceptionCode code)`

Method Summary

Methods inherited from class org.deegree.ogcwebservices.OGCWebServiceException
`create, create, getLocator, setLocator`

Methods inherited from class org.deegree.ogcbase.OGCException
`getCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonexistentTypeException

    public NonexistentTypeException(String message)

Parameters:
  `message` -

### NonexistentTypeException

    public NonexistentTypeException(String locator,
                                    String message)

Parameters:
  `locator` -
  `message` -

### NonexistentTypeException

    public NonexistentTypeException(String locator,
                                    String message,
                                    ExceptionCode code)

Parameters:
  `locator` -
  `message` -
  `code` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org